POST api/pcconfigapi/addMany?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
Collection of PcConfigViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| id | globally unique identifier |
None. |
|
| key | globally unique identifier |
Required |
|
| pc_id | globally unique identifier |
Required |
|
| value | string |
String length: inclusive between 0 and 100 |
Request Formats
application/json, text/json
Sample:
[
{
"active": true,
"id": "602fe152-f38a-4236-9005-dd76ac0698b2",
"key": "a9a36044-7030-4672-add9-2d0364e85666",
"pc_id": "3540ef90-78b9-47d0-bf1f-0d2642490e90",
"value": "sample string 3"
},
{
"active": true,
"id": "602fe152-f38a-4236-9005-dd76ac0698b2",
"key": "a9a36044-7030-4672-add9-2d0364e85666",
"pc_id": "3540ef90-78b9-47d0-bf1f-0d2642490e90",
"value": "sample string 3"
}
]
application/xml, text/xml
Sample:
<ArrayOfpc_config xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<pc_config>
<active>true</active>
<id>602fe152-f38a-4236-9005-dd76ac0698b2</id>
<key>a9a36044-7030-4672-add9-2d0364e85666</key>
<pc_id>3540ef90-78b9-47d0-bf1f-0d2642490e90</pc_id>
<value>sample string 3</value>
</pc_config>
<pc_config>
<active>true</active>
<id>602fe152-f38a-4236-9005-dd76ac0698b2</id>
<key>a9a36044-7030-4672-add9-2d0364e85666</key>
<pc_id>3540ef90-78b9-47d0-bf1f-0d2642490e90</pc_id>
<value>sample string 3</value>
</pc_config>
</ArrayOfpc_config>
application/x-www-form-urlencoded
Sample:
Response Information
Resource Description
None.